Subject: Re: bug#58839: [Patch] Re: bug#58839: 29.0.50; project-kill-buffer fails when Eglot is running

From: Dmitry Gutov <[email-masked]>
Date: Wed, 2 Nov 2022 00:23:11 +0200

On 01.11.2022 13:36, João Távora wrote:

>  > what you are doing is pressuring all other participants into your POV by
>  > means of an insult. That usually works better if the offending code was
>  > written by somebody who already left (the project/the discussion/the
>  > company/etc), or is a little younger.
> 
> You are attributing ill-intent to me from a moral high-ground you can't 
> really
> claim.  I had no idea as to the authorship, so I can't have been 
> engaging in those
> perfidious tactics.  But do I apologize for the word "abomination". If 
> it helps
> I'll show you round to plenty such things written by myself in the past.

Not at all, trying to get people to agree to your own (obviously correct 
and beneficial) POV is not ill intent.

The means are not great, though.

> I've explained to Philip objective reasons why I think evaluated
> mini-languages are almost always inferior to a decent Lisp such as Elisp.
> You could perfectly reasonably deprecate these two variables.

Not where this discussion is going, is it?

>  > I'm fairly sure that the solution I offered would be easy enough
>  > implement, to actually protect the vulnerable buffer.
>  > I suppose we are not doing that, however.
> 
> You sketched an untested code-less idea and I explained how flawed it was.

Back atcha. Modulo "code-less".